mfscli(1)

NAME
mfscli - CGI in TXT mode

SYNOPSIS
mfscli [-pn28] [-H master_host] [-P master_port] [-f 0..3] -S(IN|IM|LI|IG|MU|IC|IL|CS|MB|HD|EX|MS|LD|LS|OF|AL|MO|QU|MC|CC) [-s separator] [-o order_id [-r]] [-m mode_id] [-i id] [-a count] [-b chart_data_columns] [-c count] [-d chart_data_columns]

mfscli [-pn28] [-H master_host] [-P master_port] [-f 0..3] -C(RC/ip/port|BW/ip/port|M[01]/ip/port|RS/sessionid)

mfscli -h

DESCRIPTION
mfscli is a commandline counterpart to MooseFS's CGI interface. All the information available in CGI (except for graphs) can be obtained via CLI using different "monitoring options"

OPTIONS

-h  print help message

-p  force plain text format on tty devices

-n  do not resolve ip addresses (default when output device is not tty)

-s separator
    field separator to use in plain text format on tty devices (forces -p)

-2  force 256-color terminal color codes

-8  force 8-color terminal color codes

-H master_host
    master address (default: mfsmaster)

-P master_port
    master client port (default: 9421)

-f 0..3
    set frame charset to be displayed as table frames in ttymode;

    0   simple ascii frames '+','-','|' (default)

    1   thick unicode frames

    2   thin unicode frames

    3   double unicode frames (dos style)

-o order_id
    sort data by column specified by 'order id' (depends on data set)

-r  reverse sort order

-m mode_id
    show data specified by 'mode id' (depends on data set)

-i id
    sessionid for -SOF or inode for -SAL

-a count
    how many chart entries should be shown for master

-b chart_data_columns
    define chart columns for master; prefix with '+' for raw data, prefix with 'ip:[port:]' for server choice

-c count
    how many chart entries should be shown for chunkserver

-d chart_data_columns
    define chart columns for chunkserver; prefix with '+' for raw data, prefix with 'ip:[port:]' for server choice

MONITORING OPTIONS

-SIN
    show full master info

-SIM
    show only masters states

-SLI
    show only licence info

-SIG
    show only general master (leader) info

-SMU
    show only master memory usage

-SIC
    show only chunks info (goal/copies matrices)

-SIL
    show only loop info (with messages)

-SCS
    show connected chunk servers

-SMB
    show connected metadata backup servers

-SHD
    show hdd data

-SEX
    show exports

-SMS
    show active mounts

-SRS
    show resources (labels,open files,acquired locks)

-SLD
    show label descriptions

-SLS
    show label sets

-SOF
    show only open files

-SAL
    show only acquired locks

-SMO
    show operation counters

-SQU
    show quota info

-SMC
    show master charts data

-SCC
    show chunkserver charts data

MASTER CHART DATA COLUMNS

ucpu
    User cpu usage

scpu
    System cpu usage

delete
    Number of chunk deletions

replicate
    Number of chunk replications

statfs
    Number of statfs operations

getattr
    Number of getattr operations

setattr
    Number of setattr operations

lookup
    Number of lookup operations

mkdir
    Number of mkdir operations

rmdir
    Number of rmdir operations

symlink
    Number of symlink operations

readlink
    Number of readlink operations

mknod
    Number of mknod operations

unlink
    Number of unlink operations

rename
    Number of rename operations

link
    Number of link operations

readdir
    Number of readdir operations

open
    Number of open operations

read
    Number of read operations

write
    Number of write operations

memoryrss
    Resident memory usage

prcvd
    Received packets

psent
    Sent packets

brcvd
    Received bytes

bsent
    Sent bytes

memoryvirt
    Virtual memory usage

cpu Total cpu usage (scpu + ucpu)

CHUNKSERVER CHART DATA COLUMNS

ucpu
    User cpu usage

scpu
    System cpu usage

masterin
    Data received from master

masterout
    Data sent to master

csrepin
    Data received by replicator

csrepout
    Data sent by replicator

csservin
    Data received by csserv

csservout
    Data sent by csserv

hdrbytesr
    Bytes read (headers)

hdrbytesw
    Bytes written (headers)

hdrllopr
    Low level reads (headers)

hdrllopw
    Low level writes (headers)

databytesr
    Bytes read (data)

databytesw
    Bytes written (data)

datallopr
    Low level reads (data)

datallopw
    Low level writes (data)

hlopr
    High level reads

hlopw
    High level writes

rtime
    Read time

wtime
    Write time

repl
    Replicate chunk ops

create
    Create chunk ops

delete
    Delete chunk ops

version
    Set version ops

duplicate
    Duplicate ops

truncate
    Truncate ops

duptrunc
    Duplicate+truncate ops

test
    Test chunk ops

load
    Server load

memoryrss
    Resident memory usage

memoryvirt
    Virtual memory usage

cpu Total cpu usage (scpu + ucpu)

COMMANDS

-CRC/ip/port
    remove selected chunkserver from list of active chunkservers

-CBW/ip/port
    send selected chunkserver back to work state (from grace state)

-CM1/ip/port
    switch selected chunkserver to maintenance mode

-CM0/ip/port
    switch selected chunkserver to standard mode (from maintenance mode)

-CRS/sessionid
    remove selected session

EXAMPLES

mfscli -SIC -2
    shows table with chunk state matrix (number of chunks for each combination of valid copies and goal set by user) using extended terminal colors (256-colors)

mfscli -SCS -f 1
    shows table with all chunkservers using unicode thick frames

mfscli -SMS -p -s ','
    shows current sessions (mounts) using plain text format and coma as a separator

mfscli -SOF -i 123
    shows files open by processes using session (mount) with id 123

mfscli -SMC -a 10 -b cpu,memoryrss,delete,replicate
    shows master cpu usage, amount of resident memory used by master, number of chunk deletions and number of chunk replications during last ten minutes

mfscli -SCC -c 15 -d 192.168.1.10:9422:cpu,192.168.1.11:9422:cpu
    shows cpu usage of chunkservers located on machines with IP 192.168.1.10 and 192.168.1.11 during last fifteen minutes

mfscli -SCC -d $(mfscli -SCS -p -s ',' | grep '^chunk' | awk -F ',' 'BEGIN {s=""} {printf "%s%s:%s:mem",s,$2,$3 ; s=","}')
    shows resident memory usage of all connected chunkservers

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2017 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8)